gio-0.13.1.0: Binding to the GIO.

Maintainer | gtk2hs-devel@lists.sourceforge.net
Stability | alpha
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.GIO.Async.AsyncResult

Contents

- Types
- Methods

Description

Synopsis

- data AsyncResult
- class GObjectClass o => AsyncResultClass o
- type AsyncReadyCallback = GObject -> AsyncResult -> IO ()
- marshalAsyncReadyCallback :: AsyncReadyCallback -> IO GAsyncReadyCallback

# Types

data AsyncResult Source

Instances

Eq AsyncResult Source |
Ord AsyncResult Source |
GObjectClass AsyncResult Source |
AsyncResultClass AsyncResult Source |

class GObjectClass o => AsyncResultClass o Source

Instances

AsyncResultClass AsyncResult Source |

type AsyncReadyCallback = GObject -> AsyncResult -> IO () Source

# Methods

marshalAsyncReadyCallback :: AsyncReadyCallback -> IO GAsyncReadyCallback Source